#!/bin/sh

#


. $SYSTEM_GUARD/General.conf

DUMMY=`cat $SYSTEM_GUARD/Data/memory.txt`
if [ "$DUMMY" = "" ]; then
  exit 0
fi

MIN_MEM=`cat $SYSTEM_GUARD/Data/memory.txt| awk '{print $1}'`
WARN_TYPE="MEMORY_LOW"

if [ "$MIN_MEM" = "" ]; then
  exit 0
fi

vmstat | grep -v memo | grep -v free | awk '{print $5}' > $SYSTEM_GUARD/Data/memory_current.txt
FREE_MEM=`cat $SYSTEM_GUARD/Data/memory_current.txt`

if [ "$FREE_MEM" -le "$MIN_MEM" ]; then
  $SYSTEM_GUARD/SendWarning.sh $WARN_TYPE "$FREE_MEM Kb"
fi

exit 0
